Description

I have added new three features to the Gantt Chart that enhance its collapsing/expanding functionalities.

1. Maintain Collapse State of Child Elements:

Currently, when expanding parent elements in the Gantt Chart, the collapse state of child elements would reset.

With this new feature, the collapse state of child elements is maintained even when expanding parent elements.
2. Expand All Subelements with Ctrl+Click:

By holding the Ctrl key and clicking on a parent element, all its subelements will be expanded.

(This is equivalent to the current behavior.)
3. Collapse All Subelements with Ctrl+Click:

By holding the Ctrl key and clicking on a parent element, all its subelements will be collapsed.
History

#1 - 2024-03-22 05:57 - tomy shen

cool

#2 - 2024-04-03 14:44 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2024-10-11 01:03 - Yasu Saku

- File replace_gantt_entry_click.diff added

I have rewritten the ganttEntryClick function, making it approximately 10 times faster than the current version, and removed jquery.

It is compatible with the 23104 .
